Installation of Drupal 8.2.6 fails with Postgres

I am setting up Drupal 8.2.6 with postgres and the drupal installer fails with this error. I dont run into this issue when using MySQL though. Can someone help what might cause this to fail for Postgres + Drupal case.

Error:
The website encountered an unexpected error. Please try again later.
DrupalComponentPluginExceptionPluginNotFoundException: The “field_storage_config” entity type does not exist. in DrupalCoreEntityEntityTypeManager->getDefinition() (line 133 of corelibDrupalCoreEntityEntityTypeManager.php).

Stack trace:
DrupalCoreEntityEntityTypeManager->getDefinition(‘field_storage_config’) (Line: 233)
DrupalCoreEntityEntityTypeManager->getHandler(‘field_storage_config’, ‘storage’) (Line: 169)
DrupalCoreEntityEntityTypeManager->getStorage(‘field_storage_config’) (Line: 43)
DrupalfieldFieldUninstallValidator->__construct(Object, Object, Object) (Line: 276)
DrupalComponentDependencyInjectionContainer->createService(Array, ‘drupal.proxy_original_service.field.uninstall_validator’) (Line: 177)
DrupalComponentDependencyInjectionContainer->get(‘drupal.proxy_original_service.field.uninstall_validator’, 1) (Line: 494)
DrupalComponentDependencyInjectionContainer->resolveServicesAndParameters(Array) (Line: 329)
DrupalComponentDependencyInjectionContainer->createService(Array, ‘drupal.proxy_original_service.module_installer’) (Line: 177)
DrupalComponentDependencyInjectionContainer->get(‘drupal.proxy_original_service.module_installer’) (Line: 64)
DrupalCoreProxyClassExtensionModuleInstaller->lazyLoadItself() (Line: 83)
DrupalCoreProxyClassExtensionModuleInstaller->install(Array, ) (Line: 1571)
install_install_profile(Array) (Line: 661)
install_run_task(Array, Array) (Line: 539)
install_run_tasks(Array) (Line: 116)
install_drupal(Object) (Line: 44)

Drupal version: 


Source: https://www.drupal.org/taxonomy/term/1/feed